Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&community_in=Riverbend,McKenzie Towne&country_abbreviation=ca&expand=listings&expand_listing_date_gt=2026-09-13&expand_listing_event_eq=Listed&filter_expand_match=all&page=1&province_abbreviation=ab&results_per_page=3&select=latitude,longitude,community,interior_sq_m"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'calgary');
url.searchParams.set('community_in', 'Riverbend,McKenzie Towne');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('expand', 'listings');
url.searchParams.set('expand_listing_date_gt', '2026-09-13');
url.searchParams.set('expand_listing_event_eq', 'Listed');
url.searchParams.set('filter_expand_match', 'all');
url.searchParams.set('page', '1');
url.searchParams.set('province_abbreviation', 'ab');
url.searchParams.set('results_per_page', '3');
url.searchParams.set('select', 'latitude,longitude,community,interior_sq_m');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 0.75,
"data": [
{
"address": "4791 Elgin Avenue SE",
"community": "McKenzie Towne",
"interior_sq_m": 191.19287,
"latitude": 50.908844,
"listings": [
{
"expand_estimate_list_price": 639900,
"expand_listing_date": "2026-09-16",
"expand_listing_event": "Listed",
"property_id": "10f0b523e9ad6e90"
}
],
"longitude": -113.955605,
"property_id": "10f0b523e9ad6e90"
},
{
"address": "222 Elgin Estates Park SE",
"community": "McKenzie Towne",
"interior_sq_m": 239.96655,
"latitude": 50.909218,
"listings": [
{
"expand_estimate_list_price": 949900,
"expand_listing_date": "2026-10-23",
"expand_listing_event": "Listed",
"property_id": "136d7e6943ac1e6"
}
],
"longitude": -113.961426,
"property_id": "136d7e6943ac1e6"
},
{
"address": "294 McKenzie Towne Link SE",
"community": "McKenzie Towne",
"interior_sq_m": 129.41286,
"latitude": 50.913082,
"listings": [
{
"expand_estimate_list_price": 374900,
"expand_listing_date": "2026-11-05",
"expand_listing_event": "Listed",
"property_id": "1625c3eb3d036ee8"
}
],
"longitude": -113.95873,
"property_id": "1625c3eb3d036ee8"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 21
},
"price_quote": false,
"result_total": 62,
"time_ms": 7543,
"ui_info": {
"city": "Calgary",
"city_id": "6ec95b53075d062c",
"city_link": "ca/ab/calgary",
"city_slug": "calgary",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "Alberta",
"province_abbreviation": "AB",
"province_abbreviation_id": "aae1f05a0f89d2c7",
"province_abbreviation_link": "ca/ab",
"province_slug": "alberta"
}
}